// 🐦 Flutter imports:
import "package:flutter/material.dart";

import 'package:verttice_ui/verttice_ui.dart';

class ScreenSizeUtils {
  ScreenSizeUtils._();

  static bool isMobile({
    required BuildContext context,
  }) {
    final width = MediaQuery.of(context).size.width;
    final height = MediaQuery.of(context).size.height;

    return (width <= VertticeUI.mobileWidth ||
            height <= VertticeUI.mobileHeight) ||
        ThemedPlatform.isAndroidNativeApp;
  }

  static ScreenTypeEnum screenType(
    BuildContext context,
  ) {
    final width = MediaQuery.of(context).size.width;
    final height = MediaQuery.of(context).size.height;

    if ((width <= VertticeUI.mobileWidth ||
            height <= VertticeUI.mobileHeight) ||
        ThemedPlatform.isAndroidNativeApp) {
      return ScreenTypeEnum.mobile;
    }
    return ScreenTypeEnum.desktop;
  }
}
