// 🐦 Flutter imports:
import 'package:flutter/foundation.dart';

class ThemedPlatform {
  static bool get isWebPlatform {
    return kIsWeb;
  }

  static bool get isAndroidPlatform {
    return defaultTargetPlatform == TargetPlatform.android;
  }

  static bool get isIOSPlatform {
    return defaultTargetPlatform == TargetPlatform.iOS;
  }

  static bool get isWindowsPlatform {
    return defaultTargetPlatform == TargetPlatform.windows;
  }

  static bool get isMacOSPlatform {
    return defaultTargetPlatform == TargetPlatform.macOS;
  }

  static bool get isLinuxPlatform {
    return defaultTargetPlatform == TargetPlatform.linux;
  }

  static bool get isAndroidWebApp {
    return isWebPlatform && defaultTargetPlatform == TargetPlatform.android;
  }

  static bool get isIOSWebApp {
    return isWebPlatform && defaultTargetPlatform == TargetPlatform.iOS;
  }

  static bool get isWindowsWebApp {
    return isWebPlatform && defaultTargetPlatform == TargetPlatform.windows;
  }

  static bool get isMacOSWebApp {
    return isWebPlatform && defaultTargetPlatform == TargetPlatform.macOS;
  }

  static bool get isLinuxWebApp {
    return isWebPlatform && defaultTargetPlatform == TargetPlatform.linux;
  }

  static bool get isAndroidNativeApp {
    return !isWebPlatform && defaultTargetPlatform == TargetPlatform.android;
  }

  static bool get isIOSNativeApp {
    return !isWebPlatform && defaultTargetPlatform == TargetPlatform.iOS;
  }

  static bool get isWindowsNativeApp {
    return !isWebPlatform && defaultTargetPlatform == TargetPlatform.windows;
  }

  static bool get isMacOSNativeApp {
    return !isWebPlatform && defaultTargetPlatform == TargetPlatform.macOS;
  }

  static bool get isLinuxNativeApp {
    return !isWebPlatform && defaultTargetPlatform == TargetPlatform.linux;
  }
}
