// 🐦 Flutter imports:
import "package:flutter/material.dart";

// 🌎 Project imports:

Future<void> actionsDialog({
  required BuildContext context,
  required String content,
  required List<Widget> Function(BuildContext context) actionsBuilder,
  bool barrierDismissible = true,
  String? title,
}) async {
  return await showDialog<void>(
    context: context,
    useSafeArea: true,
    barrierDismissible: barrierDismissible,
    builder: (BuildContext context) {
      return AlertDialog(
        title: title != null ? Text(title) : null,
        content: Text(
          content,
        ),
        actions: actionsBuilder(context)
            .map(
              (e) => Padding(
                padding: const EdgeInsets.symmetric(horizontal: 2),
                child: e,
              ),
            )
            .toList(),
      );
    },
  );
}
