// 🐦 Flutter imports:
import "package:flutter/material.dart";
import 'package:verttice_ui/verttice_ui.dart';

class ThemedDivider extends StatefulWidget {
  final double? height;
  final double? width;
  final EdgeInsets? padding;

  const ThemedDivider({
    Key? key,
    this.height,
    this.width,
    this.padding,
  }) : super(key: key);
  @override
  State<ThemedDivider> createState() => _ThemedDividertate();
}

class _ThemedDividertate extends State<ThemedDivider> {
  @override
  Widget build(BuildContext context) {
    return Consumer(builder: (context, ref, _) {
      final vertticeUIPreference = ref.watch(vertticeUIPreferenceProvider);
      return Container(
          padding: widget.padding,
          width: widget.width,
          height: widget.height,
          decoration: BoxDecoration(
            color: vertticeUIPreference.themedColors.accentColor,
            boxShadow: [
              BoxShadow(
                color: Colors.grey[300]!,
                blurRadius: 1.0,
                offset: const Offset(1.0, 1.0),
              )
            ],
          ));
    });
  }
}
