// 🐦 Flutter imports:
import 'package:flutter/material.dart';

// 🌎 Project imports:
import 'package:verttice_ui/verttice_ui.dart';

class ThemedModeSwitch extends StatelessWidget {
  const ThemedModeSwitch({
    Key? key,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return Consumer(
      builder: (
        BuildContext context,
        ref,
        Widget? widget,
      ) {
        final vertticeUIPreference = ref.watch(vertticeUIPreferenceProvider);
        final vertticeUIPreferenceNotifier =
            ref.read(vertticeUIPreferenceProvider.notifier);
        return ThemedSwitch(
          value: vertticeUIPreference.isDarkTheme,
          switchColor: vertticeUIPreference.themedColors.accentColor,
          onChanged: (val) {
            vertticeUIPreferenceNotifier
                .setBrightnessTheme(!vertticeUIPreference.isDarkTheme);
          },
        );
      },
    );
  }
}
