// 🐦 Flutter imports:
import 'package:flutter/material.dart';

// 📦 Package imports:

class ThemedPhysicalModel extends StatelessWidget {
  final Color color;
  final Color shadowColor;
  final double elevation;
  final BoxShape shape;
  final Widget? child;
  const ThemedPhysicalModel({
    Key? key,
    required this.color,
    this.elevation = 0.0,
    this.shadowColor = Colors.grey,
    this.shape = BoxShape.rectangle,
    this.child,
  }) : super(key: key);

  @override
  Widget build(BuildContext context) {
    return PhysicalModel(
      color: color,
      elevation: elevation,
      shape: shape,
      shadowColor: shadowColor,
      child: child,
    );
  }
}
